/************side-mini-panel************/

.side-mini-panel {
    width: 70px;
    position: fixed;
    left: 0px;
    height: 100%;
    background: $sidebar-alt;
    top: 70px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    z-index: 8;
    ul.mini-nav {
        margin: 0px;
        padding: 0px 0 140px 0;
        display: inline-block;
        height: 100%;
        >li {
            list-style: none;
            display: block;
            >a {
                padding: 15px 0px 14px;
                display: block;
                width: 70px;
                font-size: 18px;
                color: $sidebar-text;
                text-align: center;
                i {
                    width: 31px;
                    font-size: 24px;
                    display: inline-block;
                    vertical-align: middle;
                    color: $sidebar-icons;
                }
            }
            &.selected>a {
                background: $sidebar;
                i {
                    color: $dark;
                }
            }
            .sidebarmenu {
                padding: 0px;
                position: absolute;
                height: 100%;
                width: 210px;
                background: $sidebar;
                top: 0px;
                box-shadow: 5px 0px 10px rgba(0, 0, 0, 0.05);
                left: 70px;
                display: none;
            }
            &.selected h3 {
                color: $dark;
            }
            &.selected .sidebarmenu {
                display: block;
            }
            &.selected.cnt-none .sidebarmenu {
                display: none;
            }
        }
    }
}

/************New sidebar menu************/

.sidebar-menu {
    list-style: none;
    margin: 0px;
    padding: 0px 0 250px 0;
    height: 100%;
    position: relative;
    >li {
        position: relative;
        margin: 0;
        padding: 0;
        display: block;
        &.active>a {
            color: $themecolor;
        }
    }
    >li>a {
        padding: 10px 21px;
        display: block;
        font-size: 14px;
        font-weight: 400;
        color: $sidebar-text;
        &:hover {
            color: $themecolor;
        }
    }
}

/************This is for submenu************/

.menu-title {
    padding: 12px 21px;
    display: block;
    margin: 0px;
    font-weight: 500;
    font-size: 16px;
    line-height: 40px;
}


/************This is for submenu************/

.sidebar-menu li.active .sub-menu.in {
    display: block;
}

.sidebar-menu .sub-menu>li>a {
    color: $sidebar-text;
    &:hover,
    &.active {
        color: $themecolor;
    }
}

.sidebar-menu>li>.sub-menu {
    margin: 0;
}

.sidebar-menu li>a>.fa-angle-left {
    width: auto;
    height: auto;
    padding: 0;
    margin-top: 3px;
}

.sidebar-menu li>a>.mdi-chevron-left {
    -webkit-transform: rotate(180deg) translate(-85%, -95%);
    -ms-transform: rotate(180deg) translate(-85%, -95%);
    -o-transform: rotate(180deg) translate(-85%, -95%);
    transform: rotate(180deg) translate(-85%, -95%);
    -webkit-transform-origin: top;
    -ms-transform-origin: top;
    -o-transform-origin: top;
    transform-origin: top;
    -webkit-transition: all .3s ease-out;
    -o-transition: all .3s ease-out;
    transition: all .3s ease-out;
}

.sidebar-menu li.active>a>.mdi-chevron-left {
    -webkit-transform: rotate(270deg) translate(-80%, 0);
    -ms-transform: rotate(270deg) translate(-80%, 0);
    -o-transform: rotate(270deg) translate(-80%, 0);
    transform: rotate(270deg) translate(-80%, 0);
}

.sidebar-menu .sub-menu {
    position: relative;
    display: none;
    list-style: none;
    padding: 0;
    margin: 0;
}

.sidebar-menu .sub-menu>li {
    margin: 0;
    padding: 0;
    display: block;
}

.sidebar-menu .sub-menu>li>a {
    padding: 12px 30px;
    display: block;
    font-size: 14px;
}


/************This is for toggle************/

.rmv-sidebarmenu #togglebtn {
    display: none!important;
}

.togglediv {
    position: absolute;
    left: 245px;
    top: 17px;
    z-index: 10;
}

.togglediv #togglebtn i {
    font-size: 16px;
    color: $bodytext;
    margin-top: 5px;
}

/************ This is for label ************/

.sidebar-menu .label {
    position: absolute;
    right: 15px;
    padding: 5px 12px 4px;
}

@media(max-width:767px) {
    .mini-sidebar {
        .side-mini-panel {
            left: -280px;
        }
        &.show-sidebar {
            .side-mini-panel {
                left: 0px;
            }
        }
        .side-mini-panel ul.mini-nav > li.selected.cnt-none .sidebarmenu {
            display: block;
        }
    }
}

.boxed {
    .side-mini-panel {
        position: absolute;
    }
}

.fix-sidebar.boxed {
    .side-mini-panel {
        position: fixed;
        left: auto;
    }
}

.mini-nav {
    .ps-scrollbar-y-rail {
        left:3px !important;
    }
    .sidebar-menu {
        .ps-scrollbar-y-rail {
            left: auto !important;
        }
    }
}

